List top blocked users
Top users triggering blocked tool calls.
Top users triggering blocked tool calls.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_user_analyticsoffset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timeagent_instance_id?array<>Filter to specific agent instances by id.
agent_slug?array<string>Filter to agents by slug, the agent type such as claude-code.
mcp_id?array<>Filter to specific MCP servers by id.
tool_name?array<string>Filter to specific tool names.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
agent_tag_id?array<>Filter to agent instances carrying specific tags.
resource_tag_id?array<>Filter to MCP servers carrying specific tags.
The request has succeeded.
application/json- response
Ranked list of users by activity.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/analytics/top-blocked-users?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "count": 0 } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}